/**
 * @file        JWT配置
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 统一导出JWT密钥和过期时间
 */

/**
 * JWT配置
 * @property {string} secret - JWT签名密钥
 * @property {string} exp    - Token有效期
 */
export const jwtConfig = {
    /** JWT签名密钥 */
    secret: process.env.JWT_SECRET || 'your_jwt_secret',
    /** Token有效期 */
    exp: '7d', // token有效期
};
