/**
 * @file        Drizzle ORM 数据库插件
 * @author      hotok
 * @date        2025-06-29
 * @lastEditor  hotok
 * @lastEditTime 2025-06-29
 * @description 集成Drizzle ORM到Elysia，提供类型安全的数据库操作
 */

import { Elysia } from 'elysia';
import * as schema from '../../eneities';
import { drizzleService } from './drizzle.service';

/**
 * Drizzle ORM 插件
 * 提供类型安全的数据库操作接口
 */
export const drizzlePlugin = new Elysia({ name: 'drizzle' }).onStart(async () => {
    await drizzleService.initialize();
});

/** 导出数据库类型，供其他模块使用 */
export type DB = typeof schema;
export type DrizzleDB = Awaited<ReturnType<typeof drizzleService.initialize>>;
